diff --git a/src/main/java/net/minecraft/core/block/BlockMoss.java b/src/main/java/net/minecraft/core/block/MossBlock.java
similarity index 65%
rename from src/main/java/net/minecraft/core/block/BlockMoss.java
rename to src/main/java/net/minecraft/core/block/MossBlock.java
index 85eb1e64e..ecdf73702 100644
--- a/src/main/java/net/minecraft/core/block/BlockMoss.java
+++ b/src/main/java/net/minecraft/core/block/MossBlock.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.entity.player.EntityPlayer;
+import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.IBonemealable;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.Side;
@@ -12,11 +12,12 @@ import java.util.Map;
 import java.util.Map.Entry;
 import java.util.Random;
 
-public class BlockMoss extends Block implements IBonemealable {
-
-	public BlockMoss(String key, int id) {
-		super(key, id, Material.moss);
+public class MossBlock extends Block implements IBonemealable {
+	public static Map<Integer, Integer> variantMap = new HashMap<>();
+	public MossBlock(String key, String namespaceId, int id, int parentId) {
+		super(key, namespaceId, id, Material.moss);
 		setTicking(true);
+		variantMap.put(parentId, id);
 	}
 
 	@Override
@@ -95,13 +96,13 @@ public class BlockMoss extends Block implements IBonemealable {
 	public static final Map<Block, Block> mossToStoneMap = new HashMap<>();
 
 	public static void initMossMap() {
-		stoneToMossMap.put(stone, mossStone);
-		stoneToMossMap.put(granite, mossGranite);
-		stoneToMossMap.put(limestone, mossLimestone);
-		stoneToMossMap.put(basalt, mossBasalt);
-		stoneToMossMap.put(cobbleStone, cobbleStoneMossy);
-		stoneToMossMap.put(brickStonePolished, brickStonePolishedMossy);
-		stoneToMossMap.put(logOak, logOakMossy);
+		stoneToMossMap.put(Blocks.STONE, Blocks.MOSS_STONE);
+		stoneToMossMap.put(Blocks.GRANITE, Blocks.MOSS_GRANITE);
+		stoneToMossMap.put(Blocks.LIMESTONE, Blocks.MOSS_LIMESTONE);
+		stoneToMossMap.put(Blocks.BASALT, Blocks.MOSS_BASALT);
+		stoneToMossMap.put(Blocks.COBBLE_STONE, Blocks.COBBLE_STONE_MOSSY);
+		stoneToMossMap.put(Blocks.BRICK_STONE_POLISHED, Blocks.BRICK_STONE_POLISHED_MOSSY);
+		stoneToMossMap.put(Blocks.LOG_OAK, Blocks.LOG_OAK_MOSSY);
 		
 		for(Entry<Block, Block> entry : stoneToMossMap.entrySet()) {
 			mossToStoneMap.put(entry.getValue(), entry.getKey());
@@ -109,7 +110,7 @@ public class BlockMoss extends Block implements IBonemealable {
 	}
 
 	@Override
-	public boolean onBonemealUsed(ItemStack itemstack, EntityPlayer entityplayer, World world, int blockX, int blockY, int blockZ, Side side, double xPlaced, double yPlaced) {
+	public boolean onBonemealUsed(ItemStack itemstack, Player entityplayer, World world, int blockX, int blockY, int blockZ, Side side, double xPlaced, double yPlaced) {
 		if(!world.isClientSide)
 		{
 			if (entityplayer.getGamemode().consumeBlocks())
@@ -143,20 +144,20 @@ public class BlockMoss extends Block implements IBonemealable {
 					continue;
 				}
 
-				if(world.getBlockId(k1, l1, i2) == Block.stone.id)
-					world.setBlockWithNotify(k1, l1, i2, Block.mossStone.id);
-				else if(world.getBlockId(k1, l1, i2) == Block.limestone.id)
-					world.setBlockWithNotify(k1, l1, i2, Block.mossLimestone.id);
-				else if(world.getBlockId(k1, l1, i2) == Block.granite.id)
-					world.setBlockWithNotify(k1, l1, i2, Block.mossGranite.id);
-				else if(world.getBlockId(k1, l1, i2) == Block.basalt.id)
-					world.setBlockWithNotify(k1, l1, i2, Block.mossBasalt.id);
-				else if(world.getBlockId(k1, l1, i2) == Block.cobbleStone.id)
-					world.setBlockWithNotify(k1, l1, i2, Block.cobbleStoneMossy.id);
-				else if(world.getBlockId(k1, l1, i2) == Block.brickStonePolished.id)
-					world.setBlockWithNotify(k1, l1, i2, Block.brickStonePolishedMossy.id);
-				else if(world.getBlockId(k1, l1, i2) == Block.logOak.id)
-					world.setBlockWithNotify(k1, l1, i2, Block.logOakMossy.id);
+				if(world.getBlockId(k1, l1, i2) == Blocks.STONE.id)
+					world.setBlockWithNotify(k1, l1, i2, Blocks.MOSS_STONE.id);
+				else if(world.getBlockId(k1, l1, i2) == Blocks.LIMESTONE.id)
+					world.setBlockWithNotify(k1, l1, i2, Blocks.MOSS_LIMESTONE.id);
+				else if(world.getBlockId(k1, l1, i2) == Blocks.GRANITE.id)
+					world.setBlockWithNotify(k1, l1, i2, Blocks.MOSS_GRANITE.id);
+				else if(world.getBlockId(k1, l1, i2) == Blocks.BASALT.id)
+					world.setBlockWithNotify(k1, l1, i2, Blocks.MOSS_BASALT.id);
+				else if(world.getBlockId(k1, l1, i2) == Blocks.COBBLE_STONE.id)
+					world.setBlockWithNotify(k1, l1, i2, Blocks.COBBLE_STONE_MOSSY.id);
+				else if(world.getBlockId(k1, l1, i2) == Blocks.BRICK_STONE_POLISHED.id)
+					world.setBlockWithNotify(k1, l1, i2, Blocks.BRICK_STONE_POLISHED_MOSSY.id);
+				else if(world.getBlockId(k1, l1, i2) == Blocks.LOG_OAK.id)
+					world.setBlockWithNotify(k1, l1, i2, Blocks.LOG_OAK_MOSSY.id);
 
 			}
 
diff --git a/src/main/java/net/minecraft/core/block/BlockMotionSensor.java b/src/main/java/net/minecraft/core/block/MotionSensorBlock.java
similarity index 71%
rename from src/main/java/net/minecraft/core/block/BlockMotionSensor.java
rename to src/main/java/net/minecraft/core/block/MotionSensorBlock.java
index 7f88d6f2c..027013f01 100644
--- a/src/main/java/net/minecraft/core/block/BlockMotionSensor.java
+++ b/src/main/java/net/minecraft/core/block/MotionSensorBlock.java
@@ -4,39 +4,40 @@ package net.minecraft.core.block;
 import java.util.Random;
 
 import net.minecraft.client.util.helper.Colors;
-import net.minecraft.core.block.entity.TileEntity;
-import net.minecraft.core.block.entity.TileEntitySensor;
+import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.SensorBlockEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.util.helper.Direction;
+import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 
 // Referenced classes of package net.minecraft.src:
 //            Block, Material, World, Item,
-//            EntityPlayer, Entity
+//            Player, Entity
 
-public class BlockMotionSensor extends BlockTileEntityRotatable
+public class MotionSensorBlock extends RotatableEntityBlock
 {
     public final boolean isActive;
 
-    public BlockMotionSensor(String key, int id, boolean isActive)
+    public MotionSensorBlock(String key, String namespaceId, int id, boolean isActive)
     {
-        super(key, id, Material.glass);
+        super(key, namespaceId, id, Material.glass);
         this.isActive = isActive;
     }
 
     @Override
-	public void onBlockAdded(World world, int x, int y, int z)
+	public void onBlockPlacedByWorld(World world, int x, int y, int z)
     {
-        super.onBlockAdded(world, x, y, z);
+        super.onBlockPlacedByWorld(world, x, y, z);
         setDefaultDirection(world, x, y, z);
     }
 
     @Override
-	public void randomDisplayTick(World world, int x, int y, int z, Random rand)
+	public void animationTick(World world, int x, int y, int z, Random rand)
     {
         if(!isActive)
         {
@@ -48,9 +49,9 @@ public class BlockMotionSensor extends BlockTileEntityRotatable
 	public static void updateSensorBlockState(boolean active, World world, int x, int y, int z) {
 		int meta = world.getBlockMetadata(x, y, z);
 		if(active) {
-			world.setBlockWithNotify(x, y, z, Block.motionsensorActive.id);
+			world.setBlockWithNotify(x, y, z, Blocks.MOTION_SENSOR_ACTIVE.id);
 		}else {
-			world.setBlockWithNotify(x, y, z, Block.motionsensorIdle.id);
+			world.setBlockWithNotify(x, y, z, Blocks.MOTION_SENSOR_IDLE.id);
 		}
 		world.setBlockMetadataWithNotify(x, y, z, meta);
 	}
@@ -87,30 +88,30 @@ public class BlockMotionSensor extends BlockTileEntityRotatable
 	}
 
     @Override
-    public boolean canProvidePower()
+    public boolean isSignalSource()
     {
         return true;
     }
 
     @Override
-    public boolean isIndirectlyPoweringTo(World world, int x, int y, int z, int side)
+    public boolean getDirectSignal(World world, int x, int y, int z, Side side)
     {
-        return isPoweringTo(world, x, y, z, side);
+        return getSignal(world, x, y, z, side);
     }
     @Override
-    public boolean isPoweringTo(WorldSource blockAccess, int x, int y, int z, int side)
+    public boolean getSignal(WorldSource blockAccess, int x, int y, int z, Side side)
     {
         return isActive;
     }
 
     @Override
-	protected TileEntity getNewBlockEntity()
+	protected BlockEntity getNewBlockEntity()
     {
-        return new TileEntitySensor();
+        return new SensorBlockEntity();
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, TileEntity tileEntity) {
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, BlockEntity blockEntity) {
         switch (dropCause)
         {
             case WORLD:
@@ -118,7 +119,7 @@ public class BlockMotionSensor extends BlockTileEntityRotatable
             case PROPER_TOOL:
             case PICK_BLOCK:
             case SILK_TOUCH:
-                return new ItemStack[] { new ItemStack(Block.motionsensorIdle) };
+                return new ItemStack[] { new ItemStack(Blocks.MOTION_SENSOR_IDLE) };
             default:
                 return null;
         }
diff --git a/src/main/java/net/minecraft/core/block/BlockMud.java b/src/main/java/net/minecraft/core/block/MudBlock.java
similarity index 82%
rename from src/main/java/net/minecraft/core/block/BlockMud.java
rename to src/main/java/net/minecraft/core/block/MudBlock.java
index 9c051dc50..3cdd7e3ca 100644
--- a/src/main/java/net/minecraft/core/block/BlockMud.java
+++ b/src/main/java/net/minecraft/core/block/MudBlock.java
@@ -1,9 +1,9 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.block.tag.BlockTags;
-import net.minecraft.core.entity.EntityFallingSand;
+import net.minecraft.core.entity.FallingBlockEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.sound.SoundCategory;
@@ -12,23 +12,23 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class BlockMud extends Block{
-    public BlockMud(String key, int id, Material material, boolean isHardened)
+public class MudBlock extends Block{
+    public MudBlock(String key, String namespaceId, int id, Material material, boolean isHardened)
     {
-        super(key, id, material);
+        super(key, namespaceId, id, material);
         this.isHardened = isHardened;
     }
 
     @Override
-    public int tickRate()
+    public int tickDelay()
     {
         return 5;
     }
 
     @Override
-	public void onBlockAdded(World world, int x, int y, int z)
+	public void onBlockPlacedByWorld(World world, int x, int y, int z)
     {
-        world.scheduleBlockUpdate(x, y, z, id, tickRate());
+        world.scheduleBlockUpdate(x, y, z, id, tickDelay());
     }
 
     private boolean isWaterNearby(final World world, final int x, final int y, final int z, int range)
@@ -86,7 +86,7 @@ public class BlockMud extends Block{
                     for (int z1 = z - 1; z1 <= z + 1; z1++)
                     {
                         //...And the block is next to another wet mud block, it can become wet
-                        if (world.getBlockId(x1, y1, z1) == Block.mud.id)
+                        if (world.getBlockId(x1, y1, z1) == Blocks.MUD.id)
                         {
                             return true;
                         }
@@ -101,19 +101,19 @@ public class BlockMud extends Block{
     @Override
 	public void onNeighborBlockChange(World world, int x, int y, int z, int blockId)
     {
-        world.scheduleBlockUpdate(x, y, z, id, tickRate());
+        world.scheduleBlockUpdate(x, y, z, id, tickDelay());
     }
 
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, TileEntity tileEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, BlockEntity blockEntity)
     {
         return new ItemStack[] { new ItemStack(this, 1, meta) };
     }
 
     private void tryToFall(World world, int x, int y, int z)
     {
-        if(world.getBlockId(x, y, z) == Block.mudBaked.id){
+        if(world.getBlockId(x, y, z) == Blocks.MUD_BAKED.id){
             return;
         }
 
@@ -134,7 +134,7 @@ public class BlockMud extends Block{
                 }
             } else
             {
-                EntityFallingSand entityfallingsand = new EntityFallingSand(world, (float)x + 0.5F, (float)y + 0.5F, (float)z + 0.5F, id);
+                FallingBlockEntity entityfallingsand = new FallingBlockEntity(world, (float)x + 0.5F, (float)y + 0.5F, (float)z + 0.5F, id);
                 world.entityJoinedWorld(entityfallingsand);
             }
         }
@@ -147,7 +147,7 @@ public class BlockMud extends Block{
         {
             return true;
         }
-        if(blockId == Block.fire.id)
+        if(blockId == Blocks.FIRE.id)
         {
             return true;
         }
@@ -166,8 +166,8 @@ public class BlockMud extends Block{
         if(isHardened) {
             if(!isLavaNearby(world, x, y, z)) {
                 if (canBecomeWet(world, x, y, z)) {
-                    world.setBlock(x, y, z, Block.mud.id);
-                    world.notifyBlockChange(x, y, z, Block.mud.id);
+                    world.setBlock(x, y, z, Blocks.MUD.id);
+                    world.notifyBlockChange(x, y, z, Blocks.MUD.id);
                     return;
                 }
             }
@@ -180,8 +180,8 @@ public class BlockMud extends Block{
                 {
                     world.spawnParticle("largesmoke", (double)x + Math.random(), (double)y + Math.random(), (double)z + Math.random(), 0.0D, 0.0D, 0.0D, 0);
                 }
-                world.setBlock(x, y, z, Block.mudBaked.id);
-                world.notifyBlockChange(x, y, z, Block.mudBaked.id);
+                world.setBlock(x, y, z, Blocks.MUD_BAKED.id);
+                world.notifyBlockChange(x, y, z, Blocks.MUD_BAKED.id);
                 return;
             }
         }
diff --git a/src/main/java/net/minecraft/core/block/BlockMushroom.java b/src/main/java/net/minecraft/core/block/MushroomBlock.java
similarity index 88%
rename from src/main/java/net/minecraft/core/block/BlockMushroom.java
rename to src/main/java/net/minecraft/core/block/MushroomBlock.java
index 4e5a0394c..a3a06e182 100644
--- a/src/main/java/net/minecraft/core/block/BlockMushroom.java
+++ b/src/main/java/net/minecraft/core/block/MushroomBlock.java
@@ -5,14 +5,14 @@ import net.minecraft.core.world.World;
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            BlockFlower, World, Block
+//            FlowerBlock, World, Block
 
-public class BlockMushroom extends BlockFlower
+public class MushroomBlock extends FlowerBlock
 {
 
-	public BlockMushroom(String key, int id)
+	public MushroomBlock(String key, String namespaceId, int id)
     {
-        super(key, id);
+        super(key, namespaceId, id);
         float f = 0.2F;
         setBlockBounds(0.5F - f, 0.0F, 0.5F - f, 0.5F + f, f * 2.0F, 0.5F + f);
         setTicking(true);
diff --git a/src/main/java/net/minecraft/core/block/BlockOreIron.java b/src/main/java/net/minecraft/core/block/NetherCoalOreBlock.java
similarity index 58%
rename from src/main/java/net/minecraft/core/block/BlockOreIron.java
rename to src/main/java/net/minecraft/core/block/NetherCoalOreBlock.java
index 727ef2e8b..d65276b39 100644
--- a/src/main/java/net/minecraft/core/block/BlockOreIron.java
+++ b/src/main/java/net/minecraft/core/block/NetherCoalOreBlock.java
@@ -1,20 +1,22 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.enums.EnumDropCause;
-import net.minecraft.core.item.Item;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 
-public class BlockOreIron extends Block
+public class NetherCoalOreBlock extends Block
 {
-    public BlockOreIron(String key, int id, Material material) {
-        super(key, id, material);
+
+    public NetherCoalOreBlock(String key, String namespaceId, int id)
+    {
+        super(key, namespaceId, id, Material.netherrack);
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, TileEntity tileEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, BlockEntity blockEntity)
     {
         switch (dropCause)
         {
@@ -23,10 +25,9 @@ public class BlockOreIron extends Block
                 return new ItemStack[] { new ItemStack(this) };
             case EXPLOSION:
             case PROPER_TOOL:
-                return new ItemStack[] { new ItemStack(Item.oreRawIron) };
+                return new ItemStack[] { new ItemStack(Items.NETHERCOAL) };
             default:
                 return null;
         }
     }
-
 }
diff --git a/src/main/java/net/minecraft/core/block/BlockNote.java b/src/main/java/net/minecraft/core/block/NoteBlock.java
similarity index 63%
rename from src/main/java/net/minecraft/core/block/BlockNote.java
rename to src/main/java/net/minecraft/core/block/NoteBlock.java
index 22e27adc0..3ae00756d 100644
--- a/src/main/java/net/minecraft/core/block/BlockNote.java
+++ b/src/main/java/net/minecraft/core/block/NoteBlock.java
@@ -1,33 +1,28 @@
 package net.minecraft.core.block;
 
-
-// Referenced classes of package net.minecraft.src:
-//            BlockContainer, Material, Block, World, 
-//            TileEntityNote, EntityPlayer, TileEntity
-
-import net.minecraft.core.entity.player.EntityPlayer;
+import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.NoteBlockEntity;
+import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
-import net.minecraft.core.block.entity.TileEntity;
-import net.minecraft.core.block.entity.TileEntityNote;
 import net.minecraft.core.block.material.Material;
 
-public class BlockNote extends BlockTileEntity
+public class NoteBlock extends EntityBlock
 {
 
-    public BlockNote(String key, int id)
+    public NoteBlock(String key, String namespaceId, int id)
     {
-        super(key, id, Material.wood);
+        super(key, namespaceId, id, Material.wood);
     }
 
     @Override
 	public void onNeighborBlockChange(World world, int x, int y, int z, int blockId)
     {
-        if(blockId > 0 && Block.blocksList[blockId].canProvidePower())
+        if(blockId > 0 && Block.blocksList[blockId].isSignalSource())
         {
             boolean flag = world.isBlockGettingPowered(x, y, z);
-            TileEntityNote tileentitynote = (TileEntityNote)world.getBlockTileEntity(x, y, z);
+            NoteBlockEntity tileentitynote = (NoteBlockEntity)world.getBlockEntity(x, y, z);
             if(tileentitynote.previousRedstoneState != flag)
             {
                 if(flag)
@@ -40,14 +35,14 @@ public class BlockNote extends BlockTileEntity
     }
 
     @Override
-    public boolean onBlockRightClicked(World world, int x, int y, int z, EntityPlayer player, Side side, double xPlaced, double yPlaced)
+    public boolean onBlockRightClicked(World world, int x, int y, int z, Player player, Side side, double xPlaced, double yPlaced)
     {
         if(world.isClientSide)
         {
             return true;
         } else
         {
-            TileEntityNote tileentitynote = (TileEntityNote)world.getBlockTileEntity(x, y, z);
+            NoteBlockEntity tileentitynote = (NoteBlockEntity)world.getBlockEntity(x, y, z);
             tileentitynote.changePitch();
             tileentitynote.triggerNote(world, x, y, z);
             return true;
@@ -55,23 +50,23 @@ public class BlockNote extends BlockTileEntity
     }
 
     @Override
-    public void onBlockLeftClicked(World world, int x, int y, int z, EntityPlayer player, Side side, double xHit, double yHit)
+    public void onBlockLeftClicked(World world, int x, int y, int z, Player player, Side side, double xHit, double yHit)
     {
         if(world.isClientSide)
         {
             return;
         } else
         {
-            TileEntityNote tileentitynote = (TileEntityNote)world.getBlockTileEntity(x, y, z);
+            NoteBlockEntity tileentitynote = (NoteBlockEntity)world.getBlockEntity(x, y, z);
             tileentitynote.triggerNote(world, x, y, z);
             return;
         }
     }
 
     @Override
-	protected TileEntity getNewBlockEntity()
+	protected BlockEntity getNewBlockEntity()
     {
-        return new TileEntityNote();
+        return new NoteBlockEntity();
     }
 
     @Override
@@ -95,7 +90,7 @@ public class BlockNote extends BlockTileEntity
         {
             s = "bassattack";
         }
-        world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D, (new StringBuilder()).append("note.").append(s).toString(), 3F, f);
+        world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D, "note." + s, 3F, f);
         world.spawnParticle("note", (double) x + 0.5D, (double) y + 1.2D, (double) z + 0.5D, (double) data / 24D, 0.0D, 0.0D, 0);
     }
 }
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesOak.java b/src/main/java/net/minecraft/core/block/OakLeavesBlock.java
similarity index 59%
rename from src/main/java/net/minecraft/core/block/BlockLeavesOak.java
rename to src/main/java/net/minecraft/core/block/OakLeavesBlock.java
index de34c8669..12b58a7dd 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesOak.java
+++ b/src/main/java/net/minecraft/core/block/OakLeavesBlock.java
@@ -2,21 +2,21 @@ package net.minecraft.core.block;
 
 import net.minecraft.core.world.World;
 import net.minecraft.core.block.material.Material;
-import net.minecraft.core.world.wind.WindManager;
+import net.minecraft.core.world.wind.WindProvider;
 
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            BlockLeavesBase, Material, ColorizerFoliage, IBlockAccess, 
-//            WorldChunkManager, World, Block, EntityPlayer, 
+//            BaseLeavesBlock, Material, ColorizerFoliage, IBlockAccess,
+//            WorldChunkManager, World, Block, Player,
 //            ItemStack, Item, ItemShears, StatList, 
 //            Entity
 
-public class BlockLeavesOak extends BlockLeavesBase
+public class OakLeavesBlock extends BaseLeavesBlock
 {
-	public BlockLeavesOak(String key, int id)
+	public OakLeavesBlock(String key, String namespaceId, int id)
     {
-        super(key, id, Material.leaves);
+        super(key, namespaceId, id, Material.leaves);
     }
 
     @Override
@@ -29,14 +29,14 @@ public class BlockLeavesOak extends BlockLeavesBase
             {
                 int id = world.getBlockId(x, y + q, z);
                 if (id != 0) break;
-                if (Block.layerLeavesOak.canPlaceBlockAt(world, x, y + q, z) && Block.blocksList[world.getBlockId(x, y + q - 1, z)].blockMaterial.blocksMotion())
+                if (Blocks.LAYER_LEAVES_OAK.canPlaceBlockAt(world, x, y + q, z) && Block.blocksList[world.getBlockId(x, y + q - 1, z)].blockMaterial.blocksMotion())
                 {
-                    world.setBlockWithNotify(x, y + q, z, Block.layerLeavesOak.id);
+                    world.setBlockWithNotify(x, y + q, z, Blocks.LAYER_LEAVES_OAK.id);
                     break;
                 }
-                else if (world.getBlockId(x, y + q, z) == Block.layerLeavesOak.id)
+                else if (world.getBlockId(x, y + q, z) == Blocks.LAYER_LEAVES_OAK.id)
                 {
-                    ((BlockLayerLeaves) Block.layerLeavesOak).accumulate(world, x, y + q, z);
+                    ((LeavesLayerBlock) Blocks.LAYER_LEAVES_OAK).accumulate(world, x, y + q, z);
                     break;
                 }
             }
@@ -46,15 +46,15 @@ public class BlockLeavesOak extends BlockLeavesBase
     @Override
     protected Block getSapling()
     {
-        return Block.saplingOak;
+        return Blocks.SAPLING_OAK;
     }
 
     @Override
-    public void randomDisplayTick(World world, int x, int y, int z, Random rand)
+    public void animationTick(World world, int x, int y, int z, Random rand)
     {
     	if (world.getSeasonManager().getCurrentSeason() != null && world.getSeasonManager().getCurrentSeason().hasFallingLeaves)
     	{
-            WindManager wind = world.getWorldType().getWindManager();
+            WindProvider wind = world.getWorldType().getWindManager();
             float windIntensity = wind.getWindIntensity(world, x, y, z);
             if (rand.nextInt((int)(40 + 200 * (1 - windIntensity))) == 0)
             {
diff --git a/src/main/java/net/minecraft/core/block/BlockOverlayPebbles.java b/src/main/java/net/minecraft/core/block/OverlayPebblesBlock.java
similarity index 74%
rename from src/main/java/net/minecraft/core/block/BlockOverlayPebbles.java
rename to src/main/java/net/minecraft/core/block/OverlayPebblesBlock.java
index 61fdb3b3b..d6536bcc1 100644
--- a/src/main/java/net/minecraft/core/block/BlockOverlayPebbles.java
+++ b/src/main/java/net/minecraft/core/block/OverlayPebblesBlock.java
@@ -1,19 +1,19 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.enums.EnumDropCause;
-import net.minecraft.core.item.Item;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 
-public class BlockOverlayPebbles extends Block
+public class OverlayPebblesBlock extends Block
 {
-    public BlockOverlayPebbles(String key, int id, Material material)
+    public OverlayPebblesBlock(String key, String namespaceId, int id, Material material)
     {
-        super(key, id, material);
+        super(key, namespaceId, id, material);
     }
 
     @Override
@@ -44,7 +44,7 @@ public class BlockOverlayPebbles extends Block
     @Override
     public AABB getSelectedBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
-        return AABB.getBoundingBoxFromPool(x, y, z, x + 1, y + 0.0625f, z + 1);
+        return AABB.getTemporaryBB(x, y, z, x + 1, y + 0.0625f, z + 1);
     }
 
     @Override
@@ -69,18 +69,18 @@ public class BlockOverlayPebbles extends Block
     }
 
     @Override
-    public boolean renderAsNormalBlock()
+    public boolean isCubeShaped()
     {
         return false;
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, TileEntity tileEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, BlockEntity blockEntity)
     {
         if (dropCause == EnumDropCause.PICK_BLOCK)
         {
-            return new ItemStack[] { new ItemStack(Item.ammoPebble, 1) };
+            return new ItemStack[] { new ItemStack(Items.AMMO_PEBBLE, 1) };
         }
-        return new ItemStack[] { new ItemStack(Item.ammoPebble, meta + 1) };
+        return new ItemStack[] { new ItemStack(Items.AMMO_PEBBLE, meta + 1) };
     }
 }
diff --git a/src/main/java/net/minecraft/core/block/BlockFencePainted.java b/src/main/java/net/minecraft/core/block/PaintedFenceBlock.java
similarity index 59%
rename from src/main/java/net/minecraft/core/block/BlockFencePainted.java
rename to src/main/java/net/minecraft/core/block/PaintedFenceBlock.java
index c605fba45..2ae7966b8 100644
--- a/src/main/java/net/minecraft/core/block/BlockFencePainted.java
+++ b/src/main/java/net/minecraft/core/block/PaintedFenceBlock.java
@@ -1,19 +1,19 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 
-public class BlockFencePainted extends BlockFence
+public class PaintedFenceBlock extends FenceBlock
 {
-	public BlockFencePainted(String key, int id)
+	public PaintedFenceBlock(String key, String namespaceId, int id)
 	{
-		super(key, id);
+		super(key, namespaceId, id);
 	}
 
 	@Override
-	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, TileEntity tileEntity)
+	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, BlockEntity blockEntity)
 	{
 		return new ItemStack[] { new ItemStack(this, 1, meta & 0x0F) };
 	}
diff --git a/src/main/java/net/minecraft/core/block/BlockFenceGatePainted.java b/src/main/java/net/minecraft/core/block/PaintedFenceGateBlock.java
similarity index 59%
rename from src/main/java/net/minecraft/core/block/BlockFenceGatePainted.java
rename to src/main/java/net/minecraft/core/block/PaintedFenceGateBlock.java
index 0020b5e22..0743413f9 100644
--- a/src/main/java/net/minecraft/core/block/BlockFenceGatePainted.java
+++ b/src/main/java/net/minecraft/core/block/PaintedFenceGateBlock.java
@@ -1,19 +1,19 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 
-public class BlockFenceGatePainted extends BlockFenceGate
+public class PaintedFenceGateBlock extends FenceGateBlock
 {
-	public BlockFenceGatePainted(String key, int id)
+	public PaintedFenceGateBlock(String key, String namespaceId, int id)
 	{
-		super(key, id);
+		super(key, namespaceId, id);
 	}
 
 	@Override
-	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, TileEntity tileEntity)
+	public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, BlockEntity blockEntity)
 	{
 		return new ItemStack[] { new ItemStack(this, 1, meta & 0xF0) };
 	}
